Package de.willuhn.jameica.hbci.gui.input

# Class UmsatzTypInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.UmsatzTypInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class UmsatzTypInput extends de.willuhn.jameica.gui.input.SelectInput
Fertig konfigurierte Auswahlbox fuer die Umsatz-Kategorie.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypInput(UmsatzTyp preselected, int typ)`
ct.
`UmsatzTypInput(UmsatzTyp preselected, int typ, boolean includeUnassignedType)`
ct.
`UmsatzTypInput(UmsatzTyp preselected, UmsatzTyp skip, int typ, boolean unassigned)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
`void`
`setComment(String comment)`
`void`
`setPreselected(Object preselected)`

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, format, getControl, getList, getText, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypInput

public UmsatzTypInput(UmsatzTyp preselected, int typ) throws RemoteException
ct.

Parameters:
  `preselected` - der vorselectierte Umsatz-Typ.
  `typ` - Filter auf Kategorie-Typen. Kategorien vom Typ "egal" werden grundsaetzlich angezeigt.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EINNAHME`

### UmsatzTypInput

public UmsatzTypInput(UmsatzTyp preselected, int typ, boolean includeUnassignedType) throws RemoteException
ct.

Parameters:
  `preselected` - der vorselectierte Umsatz-Typ.
  `typ` - Filter auf Kategorie-Typen. Kategorien vom Typ "egal" werden grundsaetzlich angezeigt.
  `includeUnassignedType` - der fiktive Typ "nicht zugeordnet" soll mit angeboten werden
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EINNAHME`

### UmsatzTypInput

public UmsatzTypInput(UmsatzTyp preselected, UmsatzTyp skip, int typ, boolean unassigned) throws RemoteException
ct.

Parameters:
  `preselected` - der vorselectierte Umsatz-Typ.
  `skip` - einzelner Umsatz-Typ, der nicht angeboten werden soll. Damit ist es zum Beispiel moeglich, eine Endlos-Rekursion zu erzeugen, wenn ein Parent ausgewaehlt werden soll, der User aber die Kategorie sich selbst als Parent zuordnet.
  `typ` - Filter auf Kategorie-Typen. Kategorien vom Typ "egal" werden grundsaetzlich angezeigt.
  `unassigned` - der fiktive Typ "nicht zugeordnet" soll mit angeboten werden
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EINNAHME`

## Method Details

### setPreselected

public void setPreselected(Object preselected)

Overrides:
  `setPreselected` in class `de.willuhn.jameica.gui.input.SelectInput`

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getValue` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.getValue()`

### setComment

public void setComment(String comment)

Specified by:
  `setComment` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `setComment` in class `de.willuhn.jameica.gui.input.AbstractInput`
See Also:
  - `AbstractInput.setComment(java.lang.String)`